Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7948/?format=api
{ "ob_id": 7948, "uuid": "dc5ea1432109e9289998843260e69a4f", "title": "NCAVEO: Hemispherical photos taken using a Camera Nikon Coolpix 995 at Harewood forest, near Chilbolton", "abstract": "A Hemispherical Camera (Nikon Coolpix 995) was used to take photographs at sites Harewood Forest, Rickyard and Fairpiece, Chilbolton, as part of the Network for Calibration and Validation in Earth Observation 2006 Field Campaign. This dataset consists of the 18 photos taken at Fairpiece field on the 16th June 2006, most of which are upward-looking. ", "keywords": "NCAVEO, IMAGERY, HAREWOOD, CHILBOLTON", "publicationState": "published", "dataPublishedTime": "2008-09-26T10:56:59", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12679/?format=api", "dataPath": "/neodc/ncaveo_field/data/Hemispherical_photos/Hemispherical_photos/Harewood_Forest", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 13909657, "numberOfFiles": 20, "fileFormat": "JPG format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2274/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5165/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32602/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32607/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32601/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32604/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32605/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32606/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32608/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32603/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7951/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }